Subject: Re: bug#71367: 30.0.50; ELPA package breadcrumb causes Emacs freeze when editing json file

From: Andrea Corallo <[email-masked]>
Date: Wed, 05 Jun 2024 05:36:23 -0400

Tassilo Horn <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>
> Hi Andrea,
>
>>> I currently have no emacs without native compilation handy so I
>>> cannot tell if that's important, too.  Can I somehow tell emacs not
>>> to compile breadcrumb natively after deleting the eln file?
>>
>> yes, you can globally set 'native-comp-jit-compilation' to nil or be
>> more selective on the files you don't want to be compiled using
>> 'native-comp-jit-compilation'.
>
> Ok, now I tested with
>
>   emacs -Q --load ~/[email-masked]
>
> where the recipe is:
>
> (progn
>   ;; Native compile doesn't make a difference...
>   (setq native-comp-jit-compilation-deny-list '(".*breadcrumb.*"))
>   (package-initialize)
>   (package-activate 'breadcrumb)
>   (breadcrumb-mode)
>   ;; Using json-ts-mode is essential!
>   (add-to-list 'major-mode-remap-alist '(js-json-mode . json-ts-mode))
>   (find-file "~/mirrorstatus.json"))
>
> Before firing up Emacs, I've deleted the breadcrumb ELN file.
>
> With the above recipe, Emacs instantly freezes when the file gets
> displayed.  So native compilation of breadcrumb.el is not required in
> order to observe this bug.  Using json-ts-mode instead of the default
> js-json-mode is, though.

Thanks, I'm Cc'ing authors of breadcrumb and json-ts-mode in case they can
help.

Bests

  Andrea